JettyWebServerLogger (consumer-service 1.9.2-3.5.0 API)
Date: 2014-11-12

org.gcube.messaging.common.consumer.webserver.impl.jetty

## Class JettyWebServerLogger

- java.lang.Object
- - org.gcube.messaging.common.consumer.webserver.impl.jetty.JettyWebServerLogger

- All Implemented Interfaces:
    org.mortbay.log.Logger

      public class JettyWebServerLogger
      extends Object
      implements org.mortbay.log.Logger

  Author:
    Luca Frosini (ISTI-CNR)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.gcube.common.core.utils.logging.GCUBELog` | `logger` Class logger.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JettyWebServerLogger()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(String arg0, Object arg1, Object arg2)`
    `void` | `debug(String arg0, Throwable arg1)`
    `org.mortbay.log.Logger` | `getLogger(String arg0)`
    `void` | `info(String arg0, Object arg1, Object arg2)`
    `boolean` | `isDebugEnabled()`
    `void` | `setDebugEnabled(boolean arg0)`
    `void` | `warn(String arg0, Object arg1, Object arg2)`
    `void` | `warn(String arg0, Throwable arg1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.gcube.common.core.utils.logging.GCUBELog logger

      Class logger.

  - ### Constructor Detail

    - #### JettyWebServerLogger

          public JettyWebServerLogger()

  - ### Method Detail

    - #### debug

          public void debug(String arg0,
                   Throwable arg1)

      Specified by:
        `debug` in interface `org.mortbay.log.Logger`

    - #### debug

          public void debug(String arg0,
                   Object arg1,
                   Object arg2)

      Specified by:
        `debug` in interface `org.mortbay.log.Logger`

    - #### getLogger

          public org.mortbay.log.Logger getLogger(String arg0)

      Specified by:
        `getLogger` in interface `org.mortbay.log.Logger`

    - #### info

          public void info(String arg0,
                  Object arg1,
                  Object arg2)

      Specified by:
        `info` in interface `org.mortbay.log.Logger`

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Specified by:
        `isDebugEnabled` in interface `org.mortbay.log.Logger`

    - #### setDebugEnabled

          public void setDebugEnabled(boolean arg0)

      Specified by:
        `setDebugEnabled` in interface `org.mortbay.log.Logger`

    - #### warn

          public void warn(String arg0,
                  Throwable arg1)

      Specified by:
        `warn` in interface `org.mortbay.log.Logger`

    - #### warn

          public void warn(String arg0,
                  Object arg1,
                  Object arg2)

      Specified by:
        `warn` in interface `org.mortbay.log.Logger`

Copyright © 2014. All Rights Reserved.